<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmUnlockFlag Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmUnlockFlag Enumeration

Visual Basic
C#
C++/CLI
Flags used in IEdmFile5::UnlockFile to control the behavior of the check-in operation. Bitmask.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmUnlockFlag
       Inherits System.Enum

C# |
--- | ---

    public enum EdmUnlockFlag : System.Enum

C++/CLI |
--- | ---

    public enum class EdmUnlockFlag : public System.Enum

# Members

Member | Description
--- | ---
EdmUnlock_FailOnRegenerationNeed | 16 = Fail if the file needs to be regenerated in the CAD program NOTE: Only files resaved in SOLIDWORKS 2009 or later can trigger this flag
EdmUnlock_ForceUnlock | 256 = Unlock the file even if it is not modified
EdmUnlock_IgnoreCorruptFile | 4 = Ignore files with file formats unrecognized by SOLIDWORKS PDM Professional; without this flag, SOLIDWORKS PDM Professional returns E_EDM_INVALID_FILE if it encounters a corrupt file or a file containing a newer format than SOLIDWORKS PDM Professional can handle
EdmUnlock_IgnoreReferences | 128 = Silently unlock parent files without their references
EdmUnlock_IgnoreRefsNotLockedByCaller | 32 = Ignore references not locked by caller
EdmUnlock_IgnoreRefsOutsideVault | 8 = Ignore references to files outside the vault
EdmUnlock_KeepLocked | 1 = Keep the file checked out after creating the new version in the archive
EdmUnlock_OverwriteLatestVersion | 64 = Do not create a new version; overwrite the last version of the file with new changes
EdmUnlock_RemoveLocalCopy | 2 = Remove the local copy of the file from the hard disk after the file has been checked in
EdmUnlock_Simple | 0 = Check in the file using default behavior

# See Also

####

EPDM.Interop.epdm Namespace